using System.ComponentModel.DataAnnotations;
using Microsoft.AspNetCore.Mvc;

namespace CafeCritic.ViewModels;

public class AddCafeViewModel
{
    [Required(ErrorMessage = "Поле обязательно")]
    [Remote("CheckCafeTitle", "Validation", ErrorMessage = "Заведение с такмим названием уже существуе")]
    public required string Title { get; set; }
    
    [Required(ErrorMessage = "Поле обязательно")]
    [DataType(DataType.Upload)]
    public required IFormFile Image { get; set; }
    public string? Description { get; set; }
}